<template>

  <div>
    <q-card>
      <q-card-title class="bg-primary text-white">Location</q-card-title>
      <q-card-main>
        <q-list no-border>
          <q-item class="text-tertiary">
            <q-item-main>City:</q-item-main>
            <q-item-side right>{{ resume.city }}</q-item-side>
          </q-item>
          <q-item class="text-tertiary">
            <q-item-main>State:</q-item-main>
            <q-item-side right>{{ resume.state }}</q-item-side>
          </q-item>
          <q-item class="text-tertiary">
            <q-item-main>Zip Code:</q-item-main>
            <q-item-side right>{{ resume.postalcode }}</q-item-side>
          </q-item>
          <q-item class="text-tertiary">
            <q-item-main>Country:</q-item-main>
            <q-item-side right>{{ resume.country }}</q-item-side>
          </q-item>
        </q-list>
      </q-card-main>
    </q-card>

    <q-card>
      <q-card-title class="bg-primary text-white">Skills</q-card-title>
      <q-card-main>
        <!-- <div class="chart"></div> -->
        <!-- <timeline :data="chartSkills"></timeline> -->
        <line-chart :data="data" />
      </q-card-main>
    </q-card>

    <q-card>
      <q-card-title class="bg-primary text-white">Skills</q-card-title>
      <q-card-main>
        <q-list separator no-border>
          <q-item
          v-for="skill in resume.skills"
          :key="skill.name"
          class="text-tertiary">
            <q-item-main>{{ skill.name }}</q-item-main>
            <q-item-side right>{{ Math.round(skill.experience/12) }} Yrs.</q-item-side>
          </q-item>
        </q-list>
      </q-card-main>
    </q-card>

    <q-card>
      <q-card-title class="bg-primary text-white">Sections</q-card-title>
      <q-card-main>
        <q-collapsible
        v-for="section in resume.stacks"
        :key="section[0]"
        :label="[section.dates.length === 2 ? section.dates[0] + ' to ' + section.dates[1] + '\t(' + section.duration + ' mo.)' : 'No Info'][0]"
        class="text-secondary">
          <q-chip
          v-for="skill in section.skills"
          :key="skill.id"
          class="q-ma-lg bg-info text-white">
            {{ skill.name }}
          </q-chip>
          <p
          v-for="line in section.stack"
          :bind="line"
          class="text-tertiary">
            {{ line }}
          </p>
        </q-collapsible>
      </q-card-main>
    </q-card>
  </div>

</template>

<script>
import {
  QBtn,
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain,
  QItemSeparator,
  QItemTile,
  QCard,
  QCardTitle,
  QCardSeparator,
  QCardMain,
  QSearch,
  QChip,
  QAutocomplete,
  Loading,
  QSpinnerGears,
  QModal,
  QModalLayout,
  QToolbar,
  QToolbarTitle,
  QCollapsible,
  QPagination,
  QCheckbox
} from 'quasar'

// import {timeline} from 'chartkick'

export default {
  name: 'ResumeData',
  components: {
    QBtn,
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain,
    QItemSeparator,
    QItemTile,
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QSearch,
    QChip,
    QAutocomplete,
    Loading,
    QSpinnerGears,
    QModal,
    QModalLayout,
    QToolbar,
    QToolbarTitle,
    QCollapsible,
    QPagination,
    QCheckbox
  },
  props: ['resume', 'chartSkills'],
  data () {
    return {
      data: [{name: 'Workout', data: {'2017-01-01': 3, '2017-01-02': 4}}, {name: 'Call parents', data: {'2017-01-01': 5, '2017-01-02': 3}}]
    }
  },
  computed: {
    renderChart () {
      let skills = this.resume.skills
      console.log(`skills for chart are: ${skills}`)
    }
  },
  methods: {
    unselect () {
      this.$emit('unselect')
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
